#
# spec file for package xed
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xed
Version:        1.4.4
Release:        1.1
Summary:        A text editor with highlighting
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/xed
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  pkgconfig
BuildRequires:  python3
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(enchant)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libpeas-gtk-1.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sm)
Requires:       libpeas-loader-python3
Requires:       xapps-common
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
xed is a text editor designed for the Cinnamon desktop. It has most
standard text editor functions and supports international text in
Unicode. Advanced features include syntax highlighting and automatic
indentation of source code, printing and editing of multiple
documents in one window.

xed is extensible through a plugin system, which currently
includes support for spell checking, comparing files, viewing VCS
ChangeLogs, and adjusting indentation levels.

%package devel
Summary:        Development files for Xed, a text editor
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       pkgconfig
Requires:       pkgconfig(gtksourceview-3.0)

%description devel
xed is a text editor designed for the Cinnamon desktop. It has most
standard text editor functions and supports international text in
Unicode. Advanced features include syntax highlighting and automatic
indentation of source code, printing and editing of multiple
documents in one window.

xed is extensible through a plugin system, which currently
includes support for spell checking, comparing files, viewing VCS
ChangeLogs, and adjusting indentation levels.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}

%post
/sbin/ldconfig
%desktop_database_post
%glib2_gsettings_schema_post

%postun
/sbin/ldconfig
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README debian/changelog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/dbus-1/services/org.x.editor.service
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man?/%{name}.?%{?ext_man}
%{_datadir}/help/C/%{name}/

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Jun 28 2017 sor.alexei@meowr.ru
- Update to version 1.4.4:
  * Update translations.
* Wed Jun 21 2017 sor.alexei@meowr.ru
- Update to version 1.4.3:
  * Fix an ugly white border on GTK+ 3.20 and newer.
  * filebrowser: Change an icon name.
* Wed May 24 2017 sor.alexei@meowr.ru
- Update to version 1.4.2:
  * Fix the gtksourceprintcompositor.h includes warning.
  * Update translations.
* Wed May 10 2017 jengelh@inai.de
- Remove wrong claims in description.
* Sun May  7 2017 sor.alexei@meowr.ru
- Update to version 1.4.1 (changes since 1.2.2):
  * Search: Don't jump to the next result when toggling search
    options.
  * Clean up some deprecations.
  * plugins: Drop support for old style python plugins.
  * Build GObject introspection data.
  * Fix some introspection warnings.
  * Remove a couple of invalid annotations.
  * Drop some leftover 2.xx comments from gnome/pluma.
  * Port plugin system to libpeas.
  * Remove old plugin system and docs for it.
  * taglist plugin: Don't look for taglist in non-existing legacy
    directories.
  * xed-panel: Clean up the layout of the panels.
  * Add buttons to the statusbar to show/hide the panels.
  * xed-panel: Remove the header and close button.
  * xed-panel: Simplify panel building a bit.
  * xed-panel: Move the notebook tabs to the top.
  * Add a few style classes.
  * Add view menu entry for word wrap.
  * Allow scrolling on notebook tabs to change the active page.
  * xed-prefs-manager-app: Remove some leftover logging.
  * notebooks: Don't show tabs when the notebook only has one page.
  * xed-window: Use a better icon for the documents panel tab.
  * xed-print-preview.c: Restyle the tool bar.
  * Add new (App/Window/View)Activatable interfaces for plugins.
  * Update plugins for the WindowActivatable changes.
  * Port to the use of GFile instead of URIs and merge gio document
    loader and saver into document loader and saver.
  * Revamp our handling of settings.
  * Clean up the docs a bit.
  * Redesign the goto line popup dialogue.
  * xed-preferences-dialog: Fix a setting having the wrong
    sensitiviy.
  * tests: Fix to use GFile instead of uris.
  * Merge smart converter in the document output stream.
  * xed-document-output-stream: Factor out validate_and_insert
    method.
  * Pull some upstream changes from Gedit in prep for using more of
    the GtkSource* backend.
  * Remove the xed style scheme manager instance.
  * xed-document: Fix a couple of possible memory leaks.
  * Kill xed-language-manager and use gtksourcelanguagemanager
    directly.
  * xed-document: Rework externally modified/deleted check.
  * Remove xed_utils_location_has_file_scheme.
  * Clean up our GSettings use a bit more.
  * Port to the GtkSourceView search functionality.
  * Add _xed_document_needs_saving.
  * Plugins: Remove the changecase plugin.
  * Port to GtkSource* API.
  * Port xed to dbus and GtkApplication.
  * message-area: Rename message area to info bar.
  * info-bar: Don't use icons in buttons.
  * xed-progress-info-bar: Properly expand the progress bar.
  * Remove the dialogue utility library.
  * Start using GResource.
  * Set textdomain as soon as possible.
  * Don't use global vars for command line parsing.
  * xed-app: Handle also application::open.
  * xed-app: Shutdown metadata-manager after GTK+.
  * xed-window: Fix getting the wrong window size when cloning a
    window.
  * Add a preference to allow using the dark variant of a theme if
    available.
  * xed-view: Add some margin to the top and left of the text view.
  * prefs-dialog: Fix a crash when removing style schemes.
  * docs: Start cleaning up the docs.
  * Implement font zooming in the editor.
  * Sort: Turn sort into a simpler and undoable action.
  * Focus view when opening files from the filebrowser or documents
    panel.
  * Fix g_free() which should be g_object_unref() in file browser.
  * Use slice allocator instead of g_new() when appropriate.
  * xed-file-browser-widget: Clean up code styling.
  * filebrowser-view: Removed the unused "busy" cursor.
  * Do not leak file info for . and .. dirs.
  * filebrowser: Unref the enumerator in the filebrowser plugin.
  * filebrowser: Don't leak GFiles.
  * filebrowser: Fix crash on open_terminal action.
  * filebrowser: Remove the back and forward toolbar dropdowns.
  * filebrowser: Support new location of gtk bookmarks file.
  * filebrowser: "Rename" menu entry should have an ellipsis.
  * filebrowser: use Untitled File/Folder for new
    file/directories.
  * filebrowser: Redesign the toolbar in filebrowser.
  * filebrowser: Activate selected item when search is complete.
  * filebrowser: Do not parse .hidden in the file browser.
  * filebrowser: Make the "Open terminal here" command work again.
  * filebrowser: Set the combobox insensitive when the bookmarks
    are showing.
  * Fix calling set_command_line_wait().
  * Allow building with --disable-spell.
  * Focus a tab when attempting to close it with unsaved changes.
  * Add a new animated xed-paned.
  * xed-commands-view: Clean up code style.
  * time-plugin: Use GDateTime.
  * Clean up styling a bit.
  * Use GtkApplication inhibit API.
  * Fix "gedit" occurence.
  * Depend on gtksourceview-3.0 >= 3.14.0.
  * Only use gtk_text_view_set_top_margin() with GTK+ 3.18+.
  * Fix po/POTFILES.in and generate POT file.
  * Fix FSF address.
  * Update translations.
* Thu Dec 15 2016 sor.alexei@meowr.ru
- Update to version 1.2.2:
  * searchbar: Add a close button.
  * searchbar: Make sure we clear highlighting when the last
    character is removed.
  * Search: Fix search jumping to next result while typing.
  * Search: Perform a search when case-sensitive or entire-word
    buttons are clicked.
  * Update translations.
* Thu Nov 10 2016 sor.alexei@meowr.ru
- Update to version 1.2.1:
  * Update translations.
* Wed Nov  2 2016 sor.alexei@meowr.ru
- Update to version 1.2.0:
  * configure: Don't require passing --with-gtk=3.0 to build.
  * Add "notepad" to the list of menu item keywords.
  * When running as root, add an infobar to warn about
    Elevated Privileges.
  * Toolbar: Don't emphasise toolbar items (save, open, undo).
  * Give Xed a Sublime-like searchbar.
  * Reformat code to conform to Mint coding style.
  * Default Settings: Change line width to 120 chars and enable
    "insert-spaces".
  * toolbar: Revamp the main toolbar style.
  * ui: Convert the remaining actions to use symbolic icons.
  * prefs: Remove now unused toolbar style prefs.
  * ui: Don't hide the main notebook tabs in fullscreen.
  * xed-close-button: Convert to using a symbolic icon.
  * filebrowser-plugin: Convert most icons to symbolic icons.
  * Update the pot file.
* Mon Jun 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.6:
  * xed-notebook.c: Check vertical mouse position when determining
    whether a tab is being manipulated. We were just checking
    horizontal position, which meant that depending on where you
    start a drag-and-drop, it might think you're trying to drag a
    tab instead, causing undesirable behaviour.
  * Update translations.
* Tue May 24 2016 sor.alexei@meowr.ru
- Update to version 1.0.5:
  * Update translations.
* Wed Apr 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.4 (changes since 1.0.2):
  * Fix wrong dconf paths.
  * Switch to gnome-common.
  * Fix few build warnings.
  * GTK+ 3.10 compatibility.
  * notebooks: Remove the extra frame from the main and documents
    panel scrolled windows.
  * Use Ctrl+Y for Redo.
  * Update translations.
* Sun Feb  7 2016 sor.alexei@meowr.ru
- Initial package, based on pluma's package.
